Bug 1667898 - repoquery --whatrequires only accepts one pkgspec
Summary: repoquery --whatrequires only accepts one pkgspec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Jan Blazek
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-21 11:20 UTC by Michal Domonkos
Modified: 2020-11-14 08:42 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.7-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:20:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3938861 Install None repoquery --whatrequires only accepts one pkgspec 2019-02-25 23:09:50 UTC
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:04 UTC

Description Michal Domonkos 2019-01-21 11:20:56 UTC
Description of problem:
Passing multiple pkgspecs to --whatrequires results in an empty list in the output.

Version-Release number of selected component (if applicable):
dnf-4.0.9-2.fc29.noarch

How reproducible:
100%

Steps to Reproduce:
$ dnf repoquery --whatrequires dnf libdnf

Actual results:
No output.

Expected results:
A lot of matches should be printed.

Additional info:
This is a regression from the yum-based "repoquery" tool in RHEL-7 which does accept multiple pkgspecs with --whatrequires.

Comment 1 Michal Domonkos 2019-01-21 12:59:57 UTC
Just realized --whatrequires only takes one argument by design.  Still, we could at least make it an append option, so leaving it open for the time being.

Comment 2 Jaroslav Mracek 2019-04-09 19:05:16 UTC
I created a patch that adds support for multiple arguments or even for splitting arguments using comma. The new behavior is applicable for all --what* options of repoquery command. https://github.com/rpm-software-management/dnf/pull/1375

Comment 3 Jaroslav Mracek 2019-06-11 10:45:12 UTC
I also create CI-tests - https://github.com/rpm-software-management/ci-dnf-stack/pull/558

Comment 8 errata-xmlrpc 2019-11-05 22:20:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.